VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
OldMouseObserverAdapter Class Reference
Inheritance diagram for OldMouseObserverAdapter:

## Public Member Functions
void | onMouseEntered (CView *view, CFrame *frame) override
void | onMouseExited (CView *view, CFrame *frame) override
void | onMouseEvent (MouseEvent &event, CFrame *frame) override
virtual CMouseEventResult | onMouseMoved (CFrame *frame, const CPoint &where, const CButtonState &buttons)
virtual CMouseEventResult | onMouseDown (CFrame *frame, const CPoint &where, const CButtonState &buttons)
Public Member Functions inherited from IMouseObserver
virtual | ~IMouseObserver () noexcept=default

## Member Function Documentation

CMouseEventResult onMouseDown | ( | CFrame * | frame,
|  | const CPoint & | where,
|  | const CButtonState & | buttons
| ) |  |
| virtual

void onMouseEntered | ( | CView * | view,
|  | CFrame * | frame
| ) |  |
| inline override virtual

Implements IMouseObserver.

void onMouseEvent | ( | MouseEvent & | event,
|  | CFrame * | frame
| ) |  |
| override virtual

Implements IMouseObserver.

void onMouseExited | ( | CView * | view,
|  | CFrame * | frame
| ) |  |
| inline override virtual

Implements IMouseObserver.

CMouseEventResult onMouseMoved | ( | CFrame * | frame,
|  | const CPoint & | where,
|  | const CButtonState & | buttons
| ) |  |
| virtual

The documentation for this class was generated from the following files:

- cframe.h
- cframe.cpp